## javax.faces.model
Class DataModel

    java.lang.Object
      javax.faces.model.DataModel

Direct Known Subclasses:
  ArrayDataModel, ListDataModel, ResultDataModel, ResultSetDataModel, ScalarDataModel

public abstract class DataModel
extends java.lang.Object

Version:
  $Revision: 167163 $ $Date: 2004-08-22 06:39:27 -0400 (Sun, 22 Aug 2004) $
Author:
  Thomas Spiegl (latest modification by $Author: mwessendorf $)

Constructor Summary
`DataModel()`

Method Summary
`void` `addDataModelListener(DataModelListener listener)`
`DataModelListener[]` `getDataModelListeners()`
`abstract int` `getRowCount()`
`abstract java.lang.Object` `getRowData()`
`abstract int` `getRowIndex()`
`abstract java.lang.Object` `getWrappedData()`
`abstract boolean` `isRowAvailable()`
`void` `removeDataModelListener(DataModelListener listener)`
`abstract void` `setRowIndex(int rowIndex)`
`abstract void` `setWrappedData(java.lang.Object data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataModel

    public DataModel()

Method Detail

### addDataModelListener

    public void addDataModelListener(DataModelListener listener)

### getDataModelListeners

    public DataModelListener[] getDataModelListeners()

### getRowCount

    public abstract int getRowCount()

### getRowData

    public abstract java.lang.Object getRowData()

### getRowIndex

    public abstract int getRowIndex()

### getWrappedData

    public abstract java.lang.Object getWrappedData()

### isRowAvailable

    public abstract boolean isRowAvailable()

### removeDataModelListener

    public void removeDataModelListener(DataModelListener listener)

### setRowIndex

    public abstract void setRowIndex(int rowIndex)

### setWrappedData

    public abstract void setWrappedData(java.lang.Object data)